Bug 143388 - New "Search Commands" feature: Ctrl + F1 shortcut not working
Summary: New "Search Commands" feature: Ctrl + F1 shortcut not working
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0.beta1+
Hardware: All Linux (All)
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:7.3.0 target:7.2.0
Keywords: needsUXEval
Depends on:
Blocks: 91874
  Show dependency treegraph
 
Reported: 2021-07-15 14:26 UTC by Rafael Lima
Modified: 2021-08-08 23:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Customize Keyboard Dialog (84.47 KB, application/vnd.oasis.opendocument.graphics)
2021-07-15 14:27 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-07-15 14:26:54 UTC
The new "Search Commands" feature has a shortcut Ctrl + F1 associated with it in the menu Help > Search Commands.

However, the shortcut is not working. When I press Ctrl + F1 nothing happens.

I also checked in Tools > Customize > Keyboard and the Ctrl + F1 shortcut has no command associated with it. However, the tooltip shows the shortcut (see attached image).

System info:
Version: 7.2.0.1 / LibreOffice Community
Build ID: 32efc3b7f3a71cfa6a7fa3f6c208333df48656cc
CPU threads: 16; OS: Linux 5.11; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded
Comment 1 Rafael Lima 2021-07-15 14:27:25 UTC
Created attachment 173602 [details]
Customize Keyboard Dialog
Comment 2 Rafael Lima 2021-07-15 14:47:00 UTC
Tomaz, could you please confirm if this bug is also happening in your machine?
Comment 3 Buovjaga 2021-07-17 15:24:46 UTC
Ctrl-F1 is a reserved shortcut on Linux as you can see it is grayed out in the keyboard customisation dialog.
Comment 4 Александра Пилипон 2021-07-22 12:42:28 UTC
repro in


Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c5ca46e75e28ba4245d8544ca53c71fea87d1bbd
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: en-US (ru_UA); UI: en-GB
Calc: threaded
Comment 5 Tomaz Vajngerl 2021-07-22 14:46:53 UTC
Well, I'm open to suggestions on the alternative
Comment 6 Rafael Lima 2021-07-22 17:27:52 UTC
"Ctrl + F10" is free on Linux and Windows. I can't tell what's the equivalent on Mac OS.
Comment 7 Tomaz Vajngerl 2021-07-26 00:28:46 UTC
It should be a shortcut that you can access with one hand.
Comment 8 Rafael Lima 2021-07-26 14:51:13 UTC
Heiko, maybe you have some suggestion as to which shortcut to user for the new "Search Commands" feature.
Comment 9 Commit Notification 2021-08-04 02:10:10 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fc0a31f30154c7c5aabb9f0367a10ee14c82821a

tdf#143388 rebind command search from CTRL+F1 to SHIFT+ESC

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 BogdanB 2021-08-06 07:41:56 UTC
Tomaz, please mark this bug as resolved.

I have verified and it is working well in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 36efb384a66b6dd645e0ae80fd7df68370a9dc8b
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 11 Commit Notification 2021-08-07 21:30:26 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-0":

https://git.libreoffice.org/core/commit/4eb6435933bd399bec1d2240719b33a3aa40c550

tdf#143388 rebind command search from CTRL+F1 to SHIFT+ESC

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-08-07 21:30:40 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/7985afd7a8bdaaddaa7f544f9ec10f190d5ca394

tdf#143388 rebind command search from CTRL+F1 to SHIFT+ESC

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 BogdanB 2021-08-08 04:35:18 UTC
I have verified and it is working well in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 36efb384a66b6dd645e0ae80fd7df68370a9dc8b
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded